Loading...
Searching...
No Matches
MagnitudeExtent< VecT, MagResult > Struct Template Reference

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as a scalar of the appropriate precision. More...

`#include <openvdb/points/PointStatistics.h>`

Inheritance diagram for MagnitudeExtent< VecT, MagResult >:

## Public Types

using | ElementT = typename ValueTraits<VecT>::ElementType
using | ExtentT = typename ScalarMinMax<ElementT>::ExtentT
using | BaseT = ScalarMinMax<ElementT>

## Public Member Functions

| MagnitudeExtent (const VecT &init)
| MagnitudeExtent (const ExtentT &init)
void | operator() (const VecT &b)
void | operator() (const ExtentT &b)
void | operator() (const ValueTraits< VecT >::ElementType &b)
const ExtentT & | get () const

## Public Attributes

ExtentT | mMinMax

## Detailed Description

template<typename VecT, bool MagResult = true>
struct openvdb::v10_0::points::statistics_internal::MagnitudeExtent< VecT, MagResult >

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as a scalar of the appropriate precision.

## Member Typedef Documentation

## BaseT

template<typename VecT, bool MagResult = true>

using BaseT = ScalarMinMax<ElementT>

## ElementT

template<typename VecT, bool MagResult = true>

using ElementT = typename ValueTraits<VecT>::ElementType

## ExtentT

template<typename VecT, bool MagResult = true>

using ExtentT = typename ScalarMinMax<ElementT>::ExtentT

## Constructor & Destructor Documentation

## MagnitudeExtent() [1/2]

template<typename VecT, bool MagResult = true>

MagnitudeExtent | ( | const VecT & | init | ) |

inline

## MagnitudeExtent() [2/2]

template<typename VecT, bool MagResult = true>

MagnitudeExtent | ( | const ExtentT & | init | ) |

inline

## Member Function Documentation

## get()

const ExtentT & get | ( |  | ) | const

inline inherited

## operator()() [1/3]

template<typename VecT, bool MagResult = true>

void operator() | ( | const ExtentT & | b | ) |

inline

## operator()() [2/3]

template<typename VecT, bool MagResult = true>

void operator() | ( | const VecT & | b | ) |

inline

## operator()() [3/3]

void operator() | ( | const ValueTraits< VecT >::ElementType & | b | ) |

inline inherited

## Member Data Documentation

## mMinMax

ExtentT mMinMax

inherited